#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage: ./create-sources VERSION"
    exit 1
fi

VERSION=${1}
NAME="juel"

wget https://github.com/beckchr/${NAME}/archive/${NAME}-parent-${VERSION}.tar.gz
tar xzvf ${NAME}-parent-${VERSION}.tar.gz
rm ${NAME}-parent-${VERSION}.tar.gz
find ./${NAME}-${NAME}-parent-${VERSION} -name "*.jar" -delete
find ./${NAME}-${NAME}-parent-${VERSION} -name "*.class" -delete
find ./${NAME}-${NAME}-parent-${VERSION} -name "*.zip" -delete
# Remove api module from tarball, use system jboss or tomcat apis
rm -Rf ./${NAME}-${NAME}-parent-${VERSION}/modules/api
# Merge in module impl, spi contents. only one file: META-INF/services/javax.el.ExpressionFactory
mv ./${NAME}-${NAME}-parent-${VERSION}/modules/spi/src/main/resources/* ./${NAME}-${NAME}-parent-${VERSION}/modules/impl/src/main/resources/
rm -Rf ./${NAME}-${NAME}-parent-${VERSION}/modules/spi
mv ./${NAME}-${NAME}-parent-${VERSION} ./${NAME}-${VERSION}
# Remove source documentation, unavailable build deps (apache forrest, ...)
rm -Rf ./${NAME}-${VERSION}/project
tar czvf ${NAME}-${VERSION}-clean.tar.gz ./${NAME}-${VERSION}