Name:          juel
Version:       2.2.7
Release:       7%{?dist}
Summary:       Java Unified Expression Language Implementation
License:       ASL 2.0
URL:           http://juel.sourceforge.net/
# use SOURCE1 for generate source archive
# sh  juel-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}-clean.tar.gz
Source1:       %{name}-create-tarball.sh

BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
Implementation of the Java Unified Expression Language as specified
by the Expression Language Specification, Version 2.1 (JEE5, part of
the JSP 2.1 standard [JSR-245]), plus maintenance release 2.2 (JEE6).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
# Use jboss EL apis
%pom_remove_dep :juel-api modules/impl
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec modules/impl
%pom_disable_module modules/api
# Disable for now contains only services refs
%pom_disable_module modules/spi
# modules/spi/src/main/resources/META-INF/services/javax.el.ExpressionFactory

# Fix CRLF
sed 's/\r//' -i LICENSE.txt README.md

# this test fail on arm builder
rm -r modules/impl/src/test/java/de/odysseus/el/tree/impl/CacheTest.java
sed -i '/CacheTest.class/d' modules/impl/src/test/java/de/odysseus/el/tree/impl/AllTests.java

%mvn_file :%{name}-impl %{name}-impl
%mvn_file :%{name}-impl %{name}
%mvn_alias :%{name}-impl "de.odysseus.%{name}:%{name}" "de.odysseus.%{name}:%{name}-spi"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 2.2.7-4
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.7-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Feb 19 2014 gil cattaneo <puntogil@libero.it> 2.2.7-1
- update to 2.2.7

* Sun Jun 02 2013 gil cattaneo <puntogil@libero.it> 2.2.6-1
- update to 2.2.6

* Sun Oct 14 2012 gil cattaneo <puntogil@libero.it> 2.2.5-1
- initial rpm
